Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Class AstStart

    java.lang.Object
      ru.biosoft.math.model.SimpleNode
          ru.biosoft.math.model.AstStart

All Implemented Interfaces:
  Node

public class AstStart
extends SimpleNode

Field Summary
`protected java.util.List` | `messages` List of messages (warnings and errors) generated by parser for corresponding math expression.
`protected int` | `status` Status of AST tree.

Fields inherited from class ru.biosoft.math.model.SimpleNode
`children, id, parent`

Constructor Summary
`AstStart(int id)`

Method Summary
`java.util.List` | `getMessages()`
`int` | `getStatus()`
`void` | `setMessages(java.util.List messages)`
`void` | `setStatus(int status)`
`java.lang.String` | `toString()`

Methods inherited from class ru.biosoft.math.model.SimpleNode
`dump, dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtReplaceChild, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### status

    protected int status

  Status of AST tree. It can be:
  - `Parser.STATUS_OK`
  - `Parser.STATUS_WARNING`
  - `Parser.STATUS_ERROR`
  - `Parser.STATUS_FATAL`

  See Also:
    `Parser`

### messages

    protected java.util.List messages

  List of messages (warnings and errors) generated by parser for corresponding math expression.

Constructor Detail

### AstStart

    public AstStart(int id)

Method Detail

### toString

    public java.lang.String toString()

### getStatus

    public int getStatus()

### setStatus

    public void setStatus(int status)

### getMessages

    public java.util.List getMessages()

### setMessages

    public void setMessages(java.util.List messages)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.